### Function

# EDataServer xml_from_hash

#### Declaration [src]

    xmlDoc*
    e_xml_from_hash (
      GHashTable* hash,
      EXmlHashType type,
      const gchar* root_name
    )

#### Description [src]

Uses the key/value pair representation of an XML structure in `hash` to build an equivalent #xmlDoc. This is the reverse of e_xml_to_hash().

This function is not directly available to language bindings.

#### Parameters

`hash`

  Type: `GHashTable`

  The `GHashTable` to extract the XML from.

  The data is owned by the caller of the function.

`type`

  Type: `EXmlHashType`

  The `EXmlHashType` used to store the XML.

`root_name`

  Type: `const gchar*`

  The name to call the new #xmlDoc.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `xmlDoc`

The #xmlDoc created from the data in `hash`.

The caller of the function takes ownership of the data, and is responsible for freeing it.